DivTable
Operations
Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getDivTable HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 152
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DivTableType": 1,
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"DivTable": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getDivTable"
}Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getDivTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"DivTableType": 0,
"SelectableFields": {
"DivTableFields": {
"Type": true,
"Method": true,
"Frequency": true
}
}
}Successful operation.
{
"DivTable": {
"BalanceCutoff": [],
"CollectedBalMaxHoldDays": null,
"Compounding": null,
"DefinedCode": null,
"DivIndexTableOption": null,
"FillInRateMethod": null,
"Frequency": 3,
"Increment": null,
"LrbGraceDays": [],
"MarginRate": [],
"Method": 0,
"MinDailyBalance": null,
"MinimumBalance": null,
"NewAccountCode": null,
"PaymentCode": null,
"PostAverageBalanceComment": null,
"Rate": [],
"RateSelection": null,
"RelCodeList": [],
"ScheduleType": null,
"Table": [],
"Type": 0
},
"MessageId": "getDivTableSelectFields"
}Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getDivTablePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0,
"Token": "example-token"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"DivTable": [],
"Token": null,
"MessageId": "getDivTablePagedList"
}Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getDivTableListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 191
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"IncludeAllDivTableFields": true
}
}Successful operation.
{
"DivTableList": [],
"MessageId": "getDivTableListSelectFields"
}Search DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchDivTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllDivTableFields": true
},
"SearchFilter": {
"Query": "example-query"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"DivTableList": [],
"MessageId": "searchDivTableSelectFields"
}Retrieve DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getDivTablePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 300
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"DivTableFields": {
"Type": true,
"Method": true,
"Frequency": true
}
}
}Successful operation.
{
"DivTable": [
{
"BalanceCutoff": [],
"CollectedBalMaxHoldDays": null,
"Compounding": null,
"DefinedCode": null,
"DivIndexTableOption": null,
"FillInRateMethod": null,
"Frequency": 3,
"Increment": null,
"LrbGraceDays": [],
"MarginRate": [],
"Method": 0,
"MinDailyBalance": null,
"MinimumBalance": null,
"NewAccountCode": null,
"PaymentCode": null,
"PostAverageBalanceComment": null,
"Rate": [],
"RateSelection": null,
"RelCodeList": [],
"ScheduleType": null,
"Table": [],
"Type": 0
}
],
"Token": "{paging-token}",
"MessageId": "getDivTablePagedListSelectFields"
}Search DivTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchDivTablePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 311
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"Query": "",
"SelectableFields": {
"DivTableFields": {
"Type": true,
"Method": true,
"Frequency": true
}
}
}Successful operation.
{
"DivTable": [
{
"BalanceCutoff": [],
"CollectedBalMaxHoldDays": null,
"Compounding": null,
"DefinedCode": null,
"DivIndexTableOption": null,
"FillInRateMethod": null,
"Frequency": 3,
"Increment": null,
"LrbGraceDays": [],
"MarginRate": [],
"Method": 0,
"MinDailyBalance": null,
"MinimumBalance": null,
"NewAccountCode": null,
"PaymentCode": null,
"PostAverageBalanceComment": null,
"Rate": [],
"RateSelection": null,
"RelCodeList": [],
"ScheduleType": null,
"Table": [],
"Type": 0
}
],
"Token": "{paging-token}",
"MessageId": "searchDivTablePagedSelectFields"
}Update DivTable parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Successful operation.
POST /nexum/627/2022.01/parameter/updateDivTableByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 219
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DivTableType": 1,
"DivTableUpdatableFields": {
"Type": 0,
"Description": "NEXUM EXAMPLE"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateDivTableByID"
}Last updated
Was this helpful?